<script setup lang="ts">
import { onMounted } from 'vue'

onMounted(() => {
import('rapidoc').then((module) => {})
})

defineProps<{
  specUrl: string
  path?: string
  expanded: string
}>()
</script>

<template>
  <div class="spec-view">
  <ClientOnly>
    <rapi-doc-mini
    :spec-url=specUrl
    ref="rapidoc"
    theme="light"
    allow-spec-url-load="false"
    allow-spec-file-load="false"
    show-header="false"
    show-info="true"
    font-size="largest"
    allow-try="true"
    show-method-in-nav-bar="as-colored-block"
    nav-item-spacing="relaxed"
    fetch-credentials="omit"
    load-fonts="false"
    layout="column"
    fill-request-fields-with-example="false"
    :paths-expanded=expanded
    :match-paths=path
    style="--font-regular: unset;
    --font-size-small: unset;
    --font-size-mono: unset;
    --font-mono: monospace;
    --font-size-regular: 16px;
    --fg: var(--vp-c-text-1);
    --bg: var(--vp-code-block-bg);
    --bg3: var(--vp-code-bg);
    --inline-code-fg: var(--vp-code-color);
    --blue: var(--vp-c-brand-1);
    --green: var(--vp-c-green-1);
    --primary-color: var(--vp-c-brand-1);
    --selection-bg: var(--vp-c-default-soft);
    --selection-fg: var(--vp-c-text-1);
    --light-blue: var(--vp-spec-section-bg);
    --selection-light-fg: var(--vp-spec-light-fg);
    --input-bg: var(--vp-c-default-soft);
    --code-bg: var(--vp-code-block-bg);
    --code-fg: var(--vp-c-text-2);
    --code-property-color: var(--vp-c-purple-1);
    --primary-color-invert: var(--vp-text-inverted);
    --hover-color: var(--sv-hover-color);
    "
    ></rapi-doc-mini>
  </ClientOnly>
  </div>
</template>
